# XMLWriter::writeDtdElement

# xmlwriter_write_dtd_element

(PHP 5 >= 5.1.2, PHP 7, PECL xmlwriter >= 0.1.0)

XMLWriter::writeDtdElement -- xmlwriter_write_dtd_element — Write full DTD element tag

### Description

Object oriented style

XMLWriter::writeDtdElement ( string `$name` , string `$content` ) : bool

Procedural style

xmlwriter_write_dtd_element ( resource `$xmlwriter` , string `$name` , string `$content` ) : bool

Writes a full DTD element.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`name`

  The name of the DTD element.

`content`

  The content of the element.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startDtdElement() - Create start DTD element
- XMLWriter::endDtdElement() - End current DTD element